CrowBar | Update Client | Corvus Skip to main content

Update Client

updateClient(id: $id, name: $name, primaryWebsite: $primaryWebsite, address: $address)
Method
POST
Endpoint
Sandbox: https://api-sandbox.corvusinsurance.com/q Production: https://crowbar.corvusinsurance.com/q
Authentication
Send the headers X-API-KEY, X-USER-EMAIL, X-USER-NAME with every request. See Authentication.

Arguments

Required Required to submit Optional

Pass these as variables.

Update Client arguments
Name Type Required Description
id ID! Required

Id of the client to update

name String Optional

Name of the client to update (limit 200 characters)

primaryWebsite String Optional

Primary website of the client. Answer must have one the following format: example.com, www.example.com, http://example.org, http://www.example.co, https://example.eu, https://www.example.net

address AddressInput Optional

The address of the client, specified as strings using the nested keys of this field

country Country Optional

ISO two character code of the country (https://www.iso.org/obp/ui/#search)

street String Optional

Street address

streetTwo String Optional

Apartment, suite or unit number

locality String Optional

Name of the city

region String Optional

Name of the state; the full name or the abbreviation of the state

postalCode String Optional

Postal Code

Response fields

Select only the fields you need in the selection set.

Update Client response fields
Name Type Description
id ID

Id of the client

name String

Name of the client

primaryWebsite String

Primary website of the client

address Address

Address of the client